Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.acting
Class HandleFormSubmitAction

    java.lang.Object
      org.apache.cocoon.util.AbstractLogEnabled
          org.apache.cocoon.forms.acting.AbstractFormsAction
              org.apache.cocoon.forms.acting.HandleFormSubmitAction

All Implemented Interfaces:
  org.apache.cocoon.acting.Action, Disposable, Serviceable, ThreadSafe

public class HandleFormSubmitAction
extends AbstractFormsAction

An action that will create a form instance, let it handle the current request (and do validation), and will return not-null if validation was successfully or null when validation failed. In both cases, the created form instance is stored in a request attribute, so that it can be picked up later on by other components.

Required parameters:

- form-definition: filename (URL) pointing to the form definition file
- attribute-name: name of the request attribute in which the form instance should be stored

Version:
  $Id: HandleFormSubmitAction.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from class org.apache.cocoon.forms.acting.AbstractFormsAction
`formManager, manager`

Fields inherited from interface org.apache.cocoon.acting.Action
`ROLE`

Constructor Summary
`HandleFormSubmitAction()`

Method Summary
`Map` | `act(org.apache.cocoon.environment.Redirector redirector, org.apache.cocoon.environment.SourceResolver resolver, Map objectModel, String src, Parameters parameters)`

Methods inherited from class org.apache.cocoon.forms.acting.AbstractFormsAction
`dispose, service`

Methods inherited from class org.apache.cocoon.util.AbstractLogEnabled
`getLogger, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandleFormSubmitAction

    public HandleFormSubmitAction()

Method Detail

### act

    public Map act(org.apache.cocoon.environment.Redirector redirector,
                   org.apache.cocoon.environment.SourceResolver resolver,
                   Map objectModel,
                   String src,
                   Parameters parameters)
            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.